if Damnation.class ~= "DRUID" then return end
local Damnation = Damnation

local GetShapeshiftForm = GetShapeshiftForm
local GetPlayerBuffName = GetPlayerBuffName
local CancelPlayerBuff = CancelPlayerBuff

local GBoS = Damnation.GBoS or "Greater Blessing of Salvation"
local BoS = Damnation.BoS or "Blessing of Salvation"
--[[ For testing
GBoS = "Shadowguard"
BoS = "Shadowguard"
--]]

local f = Damnation.f

function Damnation:SetAutoMode(verbose)
	f:SetScript("OnEvent", Damnation.OnEvent)
	f:RegisterEvent("UNIT_AURA")
	f:RegisterEvent("UPDATE_SHAPESHIFT_FORM")
	if verbose then self:Print("Mode is set to \"|cff00ff00auto|r\". Will remove BoS when you're in Bear Form.") end
	self:AutoDamn()
end

function Damnation:AutoMode(unit)
	-- Break early if the event wasn't for the player
	-- or if the player isn't in bearform
	if unit ~= "player" or GetShapeshiftForm(true) ~= 1 then return end
	f:SetScript("OnUpdate", Damnation.AutoDamn)
end

function Damnation:AutoDamn()
	f:SetScript("OnUpdate", nil)
	if GetShapeshiftForm(true) ~= 1 then return end
	local name = GetPlayerBuffName(GBoS) or GetPlayerBuffName(BoS)
	if name then
		CancelPlayerBuff(name)
	end
end
